Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ParametersWithSBox

    java.lang.Object
      org.bouncycastle.crypto.params.ParametersWithSBox

All Implemented Interfaces:
  CipherParameters

    public class ParametersWithSBox

extends java.lang.Object
implements CipherParameters

Constructor Summary
`ParametersWithSBox(CipherParameters parameters, byte[] sBox)`

Method Summary
`CipherParameters` `getParameters()`
`byte[]` `getSBox()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersWithSBox

    public ParametersWithSBox(CipherParameters parameters,
                              byte[] sBox)

Method Detail

### getSBox

    public byte[] getSBox()

### getParameters

    public CipherParameters getParameters()

Bouncy Castle Cryptography Library 1.45